Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.jta.utils
Class JNDIManager

    java.lang.Object
      com.arjuna.ats.jta.utils.JNDIManager

public class JNDIManager
extends java.lang.Object

Constructor Summary
`JNDIManager()`

Method Summary
`static void` | `bindJTAImplementation()` Bind the underlying JTA implementations to the appropriate JNDI contexts.
`static void` | `bindJTAImplementations(javax.naming.InitialContext ctx)` Bind the underlying JTA implementations to the appropriate JNDI contexts.
`static void` | `bindJTATransactionManagerImplementation()` Bind the currently configured transaction manager implementation to the default JNDI context.
`static void` | `bindJTATransactionManagerImplementation(javax.naming.InitialContext initialContext)` Bind the currently configured transaction manager implementation to the JNDI context passed in.
`static void` | `bindJTATransactionSynchronizationRegistryImplementation()` Bind the currently configured TransactionSynchronizationRegistry implementation to the default JNDI context.
`static void` | `bindJTATransactionSynchronizationRegistryImplementation(javax.naming.InitialContext initialContext)` Bind the currently configured TransactionSynchronizationRegistry implementation to the passed in JNDI context.
`static void` | `bindJTAUserTransactionImplementation()` Bind the currently configured user transaction implementation to the default JNDI context.
`static void` | `bindJTAUserTransactionImplementation(javax.naming.InitialContext initialContext)` Bind the currently configured user transaction implementation to the passed in JNDI context.
`static java.lang.String` | `getTransactionManagerImplementationClassname()`
`static java.lang.String` | `getTransactionManagerJNDIName()`
`static java.lang.String` | `getTransactionSynchronizationRegistryImplementationClassname()`
`static java.lang.String` | `getUserTransactionImplementationClassname()`
`static java.lang.String` | `getUserTransactionJNDIName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JNDIManager

    public JNDIManager()

Method Detail

### bindJTAImplementations

    public static void bindJTAImplementations(javax.naming.InitialContext ctx)
                                       throws javax.naming.NamingException

  Bind the underlying JTA implementations to the appropriate JNDI contexts.

  Throws:
    `javax.naming.NamingException`

### bindJTAImplementation

    public static void bindJTAImplementation()
                                      throws javax.naming.NamingException

  Bind the underlying JTA implementations to the appropriate JNDI contexts.

  Throws:
    `javax.naming.NamingException`

### getTransactionManagerImplementationClassname

    public static java.lang.String getTransactionManagerImplementationClassname()

### getUserTransactionImplementationClassname

    public static java.lang.String getUserTransactionImplementationClassname()

### getTransactionSynchronizationRegistryImplementationClassname

    public static java.lang.String getTransactionSynchronizationRegistryImplementationClassname()

### bindJTATransactionManagerImplementation

    public static void bindJTATransactionManagerImplementation()
                                                        throws javax.naming.NamingException

  Bind the currently configured transaction manager implementation to the default JNDI context.

  Throws:
    `javax.naming.NamingException`

### bindJTATransactionManagerImplementation

    public static void bindJTATransactionManagerImplementation(javax.naming.InitialContext initialContext)
                                                        throws javax.naming.NamingException

  Bind the currently configured transaction manager implementation to the JNDI context passed in.

  Parameters:
    `initialContext` -
  Throws:
    `javax.naming.NamingException`

### bindJTAUserTransactionImplementation

    public static void bindJTAUserTransactionImplementation()
                                                     throws javax.naming.NamingException

  Bind the currently configured user transaction implementation to the default JNDI context.

  Throws:
    `javax.naming.NamingException`

### bindJTAUserTransactionImplementation

    public static void bindJTAUserTransactionImplementation(javax.naming.InitialContext initialContext)
                                                     throws javax.naming.NamingException

  Bind the currently configured user transaction implementation to the passed in JNDI context.

  Parameters:
    `initialContext` -
  Throws:
    `javax.naming.NamingException`

### bindJTATransactionSynchronizationRegistryImplementation

    public static void bindJTATransactionSynchronizationRegistryImplementation()
                                                                        throws javax.naming.NamingException

  Bind the currently configured TransactionSynchronizationRegistry implementation to the default JNDI context.

  Throws:
    `javax.naming.NamingException`

### bindJTATransactionSynchronizationRegistryImplementation

    public static void bindJTATransactionSynchronizationRegistryImplementation(javax.naming.InitialContext initialContext)
                                                                        throws javax.naming.NamingException

  Bind the currently configured TransactionSynchronizationRegistry implementation to the passed in JNDI context.

  Parameters:
    `initialContext` -
  Throws:
    `javax.naming.NamingException`

### getTransactionManagerJNDIName

    public static final java.lang.String getTransactionManagerJNDIName()

### getUserTransactionJNDIName

    public static final java.lang.String getUserTransactionJNDIName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD